Package tigase.server.xmppclient

# Enum Class StreamManagementCommand

java.lang.Object
java.lang.Enum<StreamManagementCommand>
tigase.server.xmppclient.StreamManagementCommand

All Implemented Interfaces:
  `Serializable`, `Comparable<StreamManagementCommand>`, `Constable`

public enum StreamManagementCommand extends Enum<StreamManagementCommand>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ENABLE`
  `ENABLED`
  `MOVE_STREAM`
  `STREAM_MOVED`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Packet`
  `create(JID from, JID to)`
  `static StreamManagementCommand`
  `fromPacket(Packet packet)`
  `String`
  `getId()`
  `static StreamManagementCommand`
  `valueof(String cmdId)`
  `static StreamManagementCommand`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static StreamManagementCommand[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ENABLE

    public static final StreamManagementCommand ENABLE

  - ### ENABLED

    public static final StreamManagementCommand ENABLED

  - ### MOVE_STREAM

    public static final StreamManagementCommand MOVE_STREAM

  - ### STREAM_MOVED

    public static final StreamManagementCommand STREAM_MOVED

- ## Method Details

  - ### values

    public static StreamManagementCommand[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static StreamManagementCommand valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### fromPacket

    public static StreamManagementCommand fromPacket(Packet packet)

  - ### valueof

    public static StreamManagementCommand valueof(String cmdId)

  - ### create

    public Packet create(JID from, JID to)

  - ### getId

    public String getId()